#include<bits/stdc++.h>
using namespace std;
int n,m,niz[100005],suma1,suma2,k,l,br[100005],maks;
int main(){
cin>>n>>m;
for(int i=1;i<=n;i++){
    cin>>niz[i];
}
for(int j=1;j<=m;j++){
    cin>>k>>l;
    br[k]++;
    br[l]++;
}
for(int i=1;i<=n;i++){
suma1+=niz[i]*br[i];
suma2+=niz[i]*(-br[i]);
}
maks=max(suma1,suma2);
cout<<maks<<endl;
return 0;
}